Resource URL
https://api.onelogin.com/api/v1/logins/
failed_provisioning.jsonParameters
start_date string | Set to the date and time at which you want the list of failed provisionings to start. Use the following date/time format: YYYY-MM-DDThh:mm:ss-time zone designator (where -time zone designator should be set to -Z, +hh:mm, or -hh:mm). For example: 2015-01-21T09:20:15-08:00. |
stop_date string | Set to the date and time at which you want the list of failed provisionings to stop. Use the following date/time format: YYYY-MM-DDThh:mm:ss-time zone designator (where -time zone designator should be set to -Z, +hh:mm, or -hh:mm). For example: 2015-01-21T09:20:15-08:00. |
Sample Response
- 200 OK
- 200 No Failed Events
[
{
"login_id":123456,
"id":654321,
"created_at":"2014\/09\/08 18:17:23 -0700",
"error_description":null,
"description":"Internal provisioning error",
"user":{
"email":"johanna@hui.com",
"username":"jhui",
"id":101010,
"lastname":"Hui",
"firstname":"Johanna"
}
},
{
"login_id":234567,
"id":765432,
"created_at":"2014\/09\/09 15:25:23 -0700",
"error_description":"The connection timed out while provisioning to
https:\/\/lux.onelogin.com\/sales",
"description":"Tanja Ono could not be reactivated in Sales App",
"user":{
"email":"tanja@ono.com",
"username":"tono",
"id":111111,
"lastname":"Ono",
"firstname":"Tanja"
}
}
][]Response Fields
| User's ID in the app. For example, in one app the user's ID may be |
| ID of the app that can be accessed by the user. |
| Date and time at which the failed provisioning event was created. |
| Description of the error that caused the failure. |
| A further description of the results of the error. |
| Provides details about the user whose provisioning failed. |
| Email of the user whose provisioning failed. |
| Username of the user whose provisioning failed. |
| ID of the user whose provisioning failed. |
| Last name of the user whose provisioning failed. |
| First name of the user whose provisioning failed. |
Sample cURL Request
Be sure to replace placeholder values surrounded by { } with actual values.
curl -u {api_key}:x \
-X GET https://api.onelogin.com/api/v1/logins/failed_provisioning.json? \
start_date={start_date)&stop_date={stop_date}Postman Collection
Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.